# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface IContent

All Known Subinterfaces:
  IMediaContent, IOutOfLineContent, ITextContent

All Known Implementing Classes:
  Content, MediaContent, OtherContent, OutOfLineContent, TextContent

    public interface IContent

Shared interface for content.

Nested Class Summary
`static class` `IContent.Type` Defines the possible content types.

Method Summary
`java.lang.String` `getLang()` Returns the human language that this content is written in.
`int` `getType()` Returns this content's type.

Method Detail

### getType

    int getType()

  Returns this content's type. See `IContent.Type` for a list of return values.

  Returns:
    the type of content.

### getLang

    java.lang.String getLang()

  Returns the human language that this content is written in.

  Returns:
    the language of the content if available, or null if not.